use std::process::Stdio;

fn main() {
	println!("cargo:rerun-if-changed=./frontend/main.ts");
	std::process::Command::new("deno")
		.args([
			"bundle",
			"--no-check",
			"frontend/main.ts",
			"--",
			format!("{}/frontend.js", std::env::var("OUT_DIR").unwrap())
				.as_str(),
		])
		.stdout(Stdio::inherit())
		.stderr(Stdio::inherit())
		.spawn()
		.unwrap()
		.wait()
		.unwrap();
}
